Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class MixinInMetaClass

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentMap<K,V>
              org.codehaus.groovy.util.ManagedConcurrentMap
                  org.codehaus.groovy.reflection.MixinInMetaClass

    public class MixinInMetaClass
    extends ManagedConcurrentMap

Nested Class Summary
Modifier and Type | Class and Description
--- | ---

Nested classes/interfaces inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`ManagedConcurrentMap.Entry<K,V>, ManagedConcurrentMap.EntryWithValue<K,V>, ManagedConcurrentMap.Segment<K,V>`

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`bundle`

Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`MAXIMUM_CAPACITY, segments`

Constructor Summary
Constructor and Description
`MixinInMetaClass(ExpandoMetaClass emc, CachedClass mixinClass)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`boolean` | `equals(Object o)`
`CachedClass` | `getInstanceClass()`
`CachedClass` | `getMixinClass()`
`Object` | `getMixinInstance(Object object)`
`int` | `hashCode()`
`static void` | `mixinClassesToMetaClass(MetaClass self, List<Class> categoryClasses)`
`void` | `setMixinInstance(Object object, Object mixinInstance)`

Methods inherited from class org.codehaus.groovy.util.ManagedConcurrentMap
`createSegment`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMap
`get, getOrPut, put, remove, segmentFor`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`fullSize, hash, size`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MixinInMetaClass

    public MixinInMetaClass(ExpandoMetaClass emc,
                            CachedClass mixinClass)

Method Detail

### getMixinInstance

    public Object getMixinInstance(Object object)

### setMixinInstance

    public void setMixinInstance(Object object,
                                 Object mixinInstance)

### getInstanceClass

    public CachedClass getInstanceClass()

### getMixinClass

    public CachedClass getMixinClass()

### mixinClassesToMetaClass

    public static void mixinClassesToMetaClass(MetaClass self,
                                               List<Class> categoryClasses)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD